package cn.ibizlab.demoapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.util.domain.DTOBase;
import cn.ibizlab.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[IBIZSample0003DTO]
 */
@Data
public class IBIZSample0003DTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [IBIZSAMPLE0003NAME]
     *
     */
    @JSONField(name = "ibizsample0003name")
    @JsonProperty("ibizsample0003name")
    private String ibizsample0003name;

    /**
     * 属性 [MEMO]
     *
     */
    @JSONField(name = "memo")
    @JsonProperty("memo")
    private String memo;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [FIELD01]
     *
     */
    @JSONField(name = "field01")
    @JsonProperty("field01")
    private String field01;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [IBIZSAMPLE0003ID]
     *
     */
    @JSONField(name = "ibizsample0003id")
    @JsonProperty("ibizsample0003id")
    private String ibizsample0003id;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [PIBIZSAMPLE0003NAME]
     *
     */
    @JSONField(name = "pibizsample0003name")
    @JsonProperty("pibizsample0003name")
    private String pibizsample0003name;

    /**
     * 属性 [PIBIZSAMPLE0003ID]
     *
     */
    @JSONField(name = "pibizsample0003id")
    @JsonProperty("pibizsample0003id")
    private String pibizsample0003id;


    /**
     * 设置 [IBIZSAMPLE0003NAME]
     */
    public void setIbizsample0003name(String  ibizsample0003name){
        this.ibizsample0003name = ibizsample0003name ;
        this.modify("ibizsample0003name",ibizsample0003name);
    }

    /**
     * 设置 [MEMO]
     */
    public void setMemo(String  memo){
        this.memo = memo ;
        this.modify("memo",memo);
    }

    /**
     * 设置 [FIELD01]
     */
    public void setField01(String  field01){
        this.field01 = field01 ;
        this.modify("field01",field01);
    }

    /**
     * 设置 [PIBIZSAMPLE0003ID]
     */
    public void setPibizsample0003id(String  pibizsample0003id){
        this.pibizsample0003id = pibizsample0003id ;
        this.modify("pibizsample0003id",pibizsample0003id);
    }


}

