package cn.ibizlab.demoapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.util.domain.DTOBase;
import cn.ibizlab.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[IBIZSample0011DTO]
 */
@Data
public class IBIZSample0011DTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [QUANTITY]
     *
     */
    @JSONField(name = "quantity")
    @JsonProperty("quantity")
    private Integer quantity;

    /**
     * 属性 [IBIZSAMPLE0011ID]
     *
     */
    @JSONField(name = "ibizsample0011id")
    @JsonProperty("ibizsample0011id")
    private String ibizsample0011id;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [IBIZSAMPLE0011NAME]
     *
     */
    @JSONField(name = "ibizsample0011name")
    @JsonProperty("ibizsample0011name")
    private String ibizsample0011name;

    /**
     * 属性 [AMOUNT]
     *
     */
    @JSONField(name = "amount")
    @JsonProperty("amount")
    private Double amount;

    /**
     * 属性 [IBIZSAMPLE0010NAME]
     *
     */
    @JSONField(name = "ibizsample0010name")
    @JsonProperty("ibizsample0010name")
    private String ibizsample0010name;

    /**
     * 属性 [IBIZUNIPRODUCTNAME]
     *
     */
    @JSONField(name = "ibizuniproductname")
    @JsonProperty("ibizuniproductname")
    private String ibizuniproductname;

    /**
     * 属性 [UNITPRICE]
     *
     */
    @JSONField(name = "unitprice")
    @JsonProperty("unitprice")
    private Double unitprice;

    /**
     * 属性 [UNIT]
     *
     */
    @JSONField(name = "unit")
    @JsonProperty("unit")
    private String unit;

    /**
     * 属性 [IBIZSAMPLE0010ID]
     *
     */
    @JSONField(name = "ibizsample0010id")
    @JsonProperty("ibizsample0010id")
    private String ibizsample0010id;

    /**
     * 属性 [IBIZUNIPRODUCTID]
     *
     */
    @JSONField(name = "ibizuniproductid")
    @JsonProperty("ibizuniproductid")
    private String ibizuniproductid;


    /**
     * 设置 [QUANTITY]
     */
    public void setQuantity(Integer  quantity){
        this.quantity = quantity ;
        this.modify("quantity",quantity);
    }

    /**
     * 设置 [IBIZSAMPLE0011NAME]
     */
    public void setIbizsample0011name(String  ibizsample0011name){
        this.ibizsample0011name = ibizsample0011name ;
        this.modify("ibizsample0011name",ibizsample0011name);
    }

    /**
     * 设置 [IBIZSAMPLE0010ID]
     */
    public void setIbizsample0010id(String  ibizsample0010id){
        this.ibizsample0010id = ibizsample0010id ;
        this.modify("ibizsample0010id",ibizsample0010id);
    }

    /**
     * 设置 [IBIZUNIPRODUCTID]
     */
    public void setIbizuniproductid(String  ibizuniproductid){
        this.ibizuniproductid = ibizuniproductid ;
        this.modify("ibizuniproductid",ibizuniproductid);
    }


}

