package cn.ibizlab.demoapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.util.domain.DTOBase;
import cn.ibizlab.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[IBIZSample0014DTO]
 */
@Data
public class IBIZSample0014DTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [IBIZSAMPLE0014NAME]
     *
     */
    @JSONField(name = "ibizsample0014name")
    @JsonProperty("ibizsample0014name")
    private String ibizsample0014name;

    /**
     * 属性 [IBIZSAMPLE0014ID]
     *
     */
    @JSONField(name = "ibizsample0014id")
    @JsonProperty("ibizsample0014id")
    private String ibizsample0014id;

    /**
     * 属性 [SN]
     *
     */
    @JSONField(name = "sn")
    @JsonProperty("sn")
    private String sn;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [IBIZSAMPLE0003NAME]
     *
     */
    @JSONField(name = "ibizsample0003name")
    @JsonProperty("ibizsample0003name")
    private String ibizsample0003name;

    /**
     * 属性 [IBIZSAMPLE0003ID]
     *
     */
    @JSONField(name = "ibizsample0003id")
    @JsonProperty("ibizsample0003id")
    private String ibizsample0003id;


    /**
     * 设置 [IBIZSAMPLE0014NAME]
     */
    public void setIbizsample0014name(String  ibizsample0014name){
        this.ibizsample0014name = ibizsample0014name ;
        this.modify("ibizsample0014name",ibizsample0014name);
    }

    /**
     * 设置 [SN]
     */
    public void setSn(String  sn){
        this.sn = sn ;
        this.modify("sn",sn);
    }

    /**
     * 设置 [IBIZSAMPLE0003ID]
     */
    public void setIbizsample0003id(String  ibizsample0003id){
        this.ibizsample0003id = ibizsample0003id ;
        this.modify("ibizsample0003id",ibizsample0003id);
    }


}

