package cn.ibizlab.demoapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.util.domain.DTOBase;
import cn.ibizlab.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[IBIZUNIProductDTO]
 */
@Data
public class IBIZUNIProductDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [UNITPRICE]
     *
     */
    @JSONField(name = "unitprice")
    @JsonProperty("unitprice")
    private Double unitprice;

    /**
     * 属性 [IBIZUNIPRODUCTNAME]
     *
     */
    @JSONField(name = "ibizuniproductname")
    @JsonProperty("ibizuniproductname")
    private String ibizuniproductname;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [UNIT]
     *
     */
    @JSONField(name = "unit")
    @JsonProperty("unit")
    private String unit;

    /**
     * 属性 [IBIZUNIPRODUCTTYPE]
     *
     */
    @JSONField(name = "ibizuniproducttype")
    @JsonProperty("ibizuniproducttype")
    private String ibizuniproducttype;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [IBIZUNIPRODUCTID]
     *
     */
    @JSONField(name = "ibizuniproductid")
    @JsonProperty("ibizuniproductid")
    private String ibizuniproductid;


    /**
     * 设置 [UNITPRICE]
     */
    public void setUnitprice(Double  unitprice){
        this.unitprice = unitprice ;
        this.modify("unitprice",unitprice);
    }

    /**
     * 设置 [IBIZUNIPRODUCTNAME]
     */
    public void setIbizuniproductname(String  ibizuniproductname){
        this.ibizuniproductname = ibizuniproductname ;
        this.modify("ibizuniproductname",ibizuniproductname);
    }

    /**
     * 设置 [UNIT]
     */
    public void setUnit(String  unit){
        this.unit = unit ;
        this.modify("unit",unit);
    }

    /**
     * 设置 [IBIZUNIPRODUCTTYPE]
     */
    public void setIbizuniproducttype(String  ibizuniproducttype){
        this.ibizuniproducttype = ibizuniproducttype ;
        this.modify("ibizuniproducttype",ibizuniproducttype);
    }


}

